## Challenge Deliverables
- [ ] Architecture diagram
    - [ ] saved as a PNG
- [ ] Explain decisions and trade-offs
    - [ ] Document in README.md
- [ ] Terraform repo scaffolding out the service
## Air Traffic Metrics
- [ ] Ingest raw data into S3
    - [ ] Bucket best practices
        - [ ] Buckets aren't public
        - [ ]
- [ ] Database of my choice
    - [ ] Athena?
    - [ ] Aurora (Postgresql)
- [ ] API to interact with the data
    - [ ] `/load` endpoint
        - [ ] Python lambda to upload data to bucket
            - [ ] Example data: https://zenodo.org/records/5377831
    - [ ] `/metrics` endpoint
        - [ ] Python lambda that returns the following:
            - [ ] row_count: number of rows in table for full data set
            - [ ] last_transponder_seen_at: maximum value for `lastseen`
            - [ ] most_popular_destination: most seen value for destination
            - [ ] count_of_unique_transponders: unique count of the icao24 field
- [ ] Frontend to display the data
    - [ ] Python lambda that renders an HTML page that displays above metrics
